About
Qwen Image Edit Spicy. Add, remove, or modify elements in an existing image with text guidance. Integrate this model via REST with endpoint docs, parameters, and code examples.
1. Calling the API
Setup your API Key
To begin using Infron, you first need to create an account and generate your API Key.
Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.
export INFRON_KEY="YOUR_API_KEY"
Submit a request
For long-running requests, you can poll for results.
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"model": "wan/wan2.2-i2v-spicy/image-to-video",
"prompt": "Interpolate smoothly between the two safe studio portraits with natural motion and a steady camera.",
"image_urls": [
"https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png",
"https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_21765ae5f35d4e4e94a21a879ebd5aab.png"
],
"duration": "8",
"resolution": "720p",
"enable_prompt_expansion": true,
"enhance_prompt": true,
"n": 1,
"seed": 2147483647
}
EOF
Response with queue task id
The response will look like this:
{
"code": 200,
"message": "success",
"data": {
"task_id": "fd42926ca08e4620958cd13ac32ae854",
"object": "video",
"model": "wan/wan2.2-i2v-spicy/image-to-video",
"status": "created",
"urls": {
"query": "https://media.onerouter.pro/v1/videos/tasks/fd42926ca08e4620958cd13ac32ae854"
},
"created_at": "2026-07-15 06:39:59.49"
}
}
Fetch request status
You can fetch the status of a request to check if it is completed or still in progress.
curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
# For example
curl https://media.onerouter.pro/v1/videos/tasks/fd42926ca08e4620958cd13ac32ae854 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response with queue task status query
{
"code": 200,
"message": "success",
"data": {
"task_id": "fd42926ca08e4620958cd13ac32ae854",
"object": "video",
"model": "wan/wan2.2-i2v-spicy/image-to-video",
"status": "in_progress",
"fail_reason": "",
"submit_time": 1784097599,
"start_time": 1784097600,
"finish_time": 0,
"outputs": [],
"created_at": "2026-07-15 06:39:59"
}
}
Possible statuses:
- created
- in_progress
- processing
- completed
- failed
created -> in_progress → processing → completed | failed
Poll every 1-2 seconds until status is "completed" or "failed"
Get the result (when status is "completed")
Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.
{
"code": 200,
"message": "success",
"data": {
"task_id": "fd42926ca08e4620958cd13ac32ae854",
"object": "video",
"model": "wan/wan2.2-i2v-spicy/image-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1784097599,
"start_time": 1784097600,
"finish_time": 1784097689,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_7358c48a-6ee3-4950-88bd-3f9059baa412.mp4"
],
"usage": {
"completion_tokens": 0,
"duration": 8,
"generate_audio": false,
"output_count": 1,
"prompt_tokens": 1,
"request_num": 1,
"resolution": "720p",
"tokens": 1,
"total_tokens": 1,
"video_duration": 8
},
"cost": {
"total_cost": 0.641,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 0.641,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-07-15 06:39:59"
}
}
2. Schema
Input
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
| model | string | Yes | -- | Explore all models | Model name. |
| prompt | string | Yes | -- | -- | Text prompt for generation; Positive text prompt. |
| image_urls | array | Yes | -- | [2] | [0] First frame, [1] optional last frame; start_image_url can be used instead of the first frame. |
| startimageurl | string | Yes | -- | [1] | Synonymous with image_urls[0]; if both are provided, this field takes precedence. |
| endimageurl | string | No | -- | [1] | Optional trailing frame; takes precedence over image_urls[1] when both are present. |
| duration | integer | No | 5 | 5, 8 | Duration of the video in seconds, only 5 and 8 are supported. |
| resolution | string | No | 720p | 480p, 720p | Resolution of the generated video. |
| enablepromptexpansion | boolean | Yes | true | true, false | Whether to enable prompt expansion. |
| enhance_prompt | boolean | No | true | true, false | Whether to enhance the prompt. |
| n | integer | No | 1 | [1] | Number of videos to generate. |
| seed | integer | No | -- | >=1 | The random seed to use for the generation. |
Example request
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"model": "wan/wan2.2-i2v-spicy/image-to-video",
"prompt": "Interpolate smoothly between the two safe studio portraits with natural motion and a steady camera.",
"image_urls": [
"https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png",
"https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_21765ae5f35d4e4e94a21a879ebd5aab.png"
],
"duration": "8",
"resolution": "720p",
"enable_prompt_expansion": true,
"enhance_prompt": true,
"n": 1,
"seed": 2147483647
}
EOF
Output
| Parameter | Type | Range | Description |
|---|---|---|---|
| code | integer | -- | Status code of the request. |
| message | string | -- | Status message of the request. |
| data | object | -- | Data of the video task. |
| data.task_id | string | -- | ID of the video task. |
| data.object | string | -- | Object type of the video task. |
| data.model | string | -- | Model name of the video task. |
| data.status | string | created, in_progress, processing, completed, failed | Status of the video task. |
| data.fail_reason | string | -- | Fail reason of the video task. |
| data.submit_time | integer | -- | Timestamp of the video task submission. |
| data.start_time | integer | -- | Timestamp of the video task start. |
| data.finish_time | integer | -- | Timestamp of the video task finish. |
| data.outputs | array | -- | Outputs of the video task. |
| data.created_at | string | -- | Timestamp of the video task creation. |
Example output
{
"code": 200,
"message": "success",
"data": {
"task_id": "fd42926ca08e4620958cd13ac32ae854",
"object": "video",
"model": "wan/wan2.2-i2v-spicy/image-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1784097599,
"start_time": 1784097600,
"finish_time": 1784097689,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_7358c48a-6ee3-4950-88bd-3f9059baa412.mp4"
],
"usage": {
"completion_tokens": 0,
"duration": 8,
"generate_audio": false,
"output_count": 1,
"prompt_tokens": 1,
"request_num": 1,
"resolution": "720p",
"tokens": 1,
"total_tokens": 1,
"video_duration": 8
},
"cost": {
"total_cost": 0.641,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 0.641,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-07-15 06:39:59"
}
}
3. Detailed Pricing
| Pricing Type | Unit | Price |
|---|---|---|
| Input text | - | - |
| Input image | - | - |
| Prompt optimization | 1 request | $0.001 |
| Output video 480p | 1 second | $0.040 |
| Output video 720p | 1 second | $0.080 |
| Resolution | Supported Duration | Estimated Price |
|---|---|---|
| 480p | 5 s / 8 s | $0.040 / second |
| 720p | 5 s / 8 s | $0.080 / second |
| Resolution | Duration | Video Price | With Prompt Optimization |
|---|---|---|---|
| 480p | 5 s | $0.200 | $0.201 |
| 480p | 8 s | $0.320 | $0.321 |
| 720p | 5 s | $0.400 | $0.401 |
| 720p | 8 s | $0.640 | $0.641 |